# MatDAADSetSNES

Tells the matrix what SNES it is using for the base U.

### Synopsis

    #include "petscda.h"
    #include "petscsnes.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatDAADSetSNES(Mat A,SNES snes)

Collective on Mat and SNES

### Input Parameters

| mat | - the matrix
| snes | - the SNES

### See Also

MatCreate(), DASetLocalAdicMFFunction(), MatCreateDAAD(), MatDAADSetDA()

Level:intermediate
Location: src/mat/impls/adic/matadic.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex5f.F.html